import { BridgeType } from '@bnb-chain/canonical-bridge-sdk';
import { ILayerZeroTransferConfig, ILayerZeroChain, ILayerZeroToken } from './types';
import { BaseAdapter } from '../../shared/BaseAdapter';

export declare class LayerZeroAdapter extends BaseAdapter<ILayerZeroTransferConfig, ILayerZeroChain, ILayerZeroToken> {
    bridgeType: BridgeType;
    protected initChains(): void;
    protected initTokens(): void;
    protected initTransferMap(): void;
    getChainId(chain: ILayerZeroChain): number;
    protected getChainIdAsObject(chainId: number): {
        chainId: number;
    };
    getTokenInfo({ chainId, token }: {
        chainId: number;
        token: ILayerZeroToken;
    }): {
        displaySymbol: string;
        icon: string;
        name: any;
        symbol: string;
        address: string;
        decimals: number;
    };
}
